BEGIN ~LHGRL4~

IF ~Global("Bliss2","GLOBAL",0)~ THEN BEGIN 0
  SAY @0
  IF ~~ THEN REPLY @1 GOTO 1
END

IF ~~ THEN BEGIN 1
  SAY @2
  IF ~~ THEN REPLY @3 DO ~SetGlobal("Bliss2","GLOBAL",1)
Deactivate(Myself)
StartCutScene("lhGRL4")~ EXIT
END

IF ~Global("Bliss2","GLOBAL",2)~ THEN BEGIN 2
  SAY @4
  IF ~~ THEN REPLY @5 DO ~PlaySong(34)~ GOTO 3
END

IF ~~ THEN BEGIN 3
  SAY @6
  IF ~~ THEN REPLY @7 GOTO 4
END

IF ~~ THEN BEGIN 4
  SAY @8
  IF ~~ THEN REPLY @9 GOTO 5
END

IF ~~ THEN BEGIN 5
  SAY @10
  IF ~~ THEN REPLY @11 GOTO 6
END

IF ~~ THEN BEGIN 6
  SAY @12
  IF ~~ THEN REPLY @13 GOTO 7
END

IF ~~ THEN BEGIN 7
  SAY @14
  IF ~~ THEN REPLY @15 GOTO 8
END

IF ~~ THEN BEGIN 8
  SAY @16
  IF ~~ THEN REPLY @17 GOTO 9
END

IF ~~ THEN BEGIN 9
  SAY @18
  IF ~~ THEN DO ~SetGlobal("Bliss2","GLOBAL",3)
OpenDoor("Door08")
AddJournalEntry(99999,4)
AddJournalEntry(99998,4)
EscapeArea()
~ EXIT
END
